function [y,s,x,U] = spm_nosology_gen(P,M,U)
% generate symptom scores from underlying physiological dynamics
%--------------------------------------------------------------------------
T    = size(U,1);                    % number of time points

M.x  = P.x;                          % initial physiological states
U    = M.v(T,P);                     % fluctuations
x    = spm_int_J(P,M,U);             % integrate trajectory over time
s    = M.d(x,P);                     % generate psychological states
y    = M.h(s,P);                     % and threshold symptom scores

